package game.mobs;

import openfl.media.SoundTransform;
import openfl.media.SoundChannel;
import game.mobs.states.MobState;

class Mob extends AnimSprite {
	public var state(default, set):MobState;

	function set_state(newState:MobState):MobState {
		return state = newState;
	}

	override function update(delta:Float) {
		if (state != null) {
			state.update(delta);
		}

		super.update(delta);
	}
}
